Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.labels
Class LabelHibernateDao

    java.lang.Object
      HibernateObjectDao
          com.atlassian.bamboo.persistence.BambooHibernateObjectDao
              com.atlassian.bamboo.labels.LabelHibernateDao

All Implemented Interfaces:
  LabelDao, BambooObjectDao

    public class LabelHibernateDao

extends BambooHibernateObjectDao
implements LabelDao

Constructor Summary
`LabelHibernateDao()`

Method Summary
`List` | `findBuildResultsSummaryByLabel(Label label)`
`Label` | `findLabelByNameAndNamespace(String name, String namespace)`
`Labelling` | `findLabellingByBuild(Label label, Build build)`
`Labelling` | `findLabellingByBuildResultsSummary(Label label, BuildResultsSummary buildResultsSummary)`
`Labelling` | `findLabellingByProject(Label label, Project project)`
`List` | `findLabellingByUser(String userName)`
`List` | `findLabels(Build build)`
`List` | `findLabels(Project project)`
`List` | `findLabels(String namespace, int maxResults)`
`List` | `findLabels(String namespace, int maxResults, Build build)`
`List` | `findLabels(String namespace, int maxResults, Project project)`
`Class` | `getPersistentClass()`
`int` | `getUsageCountForLabel(Label label)`

Methods inherited from class com.atlassian.bamboo.persistence.BambooHibernateObjectDao
`findById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Constructor Detail

### LabelHibernateDao

    public LabelHibernateDao()

Method Detail

### getPersistentClass

    public Class getPersistentClass()

### findLabelByNameAndNamespace

    public Label findLabelByNameAndNamespace(String name,
                                             String namespace)

  Specified by:
    `findLabelByNameAndNamespace` in interface `LabelDao`

### findLabellingByBuildResultsSummary

    public Labelling findLabellingByBuildResultsSummary(Label label,
                                                        BuildResultsSummary buildResultsSummary)

  Specified by:
    `findLabellingByBuildResultsSummary` in interface `LabelDao`

### findLabellingByBuild

    public Labelling findLabellingByBuild(Label label,
                                          Build build)

  Specified by:
    `findLabellingByBuild` in interface `LabelDao`

### findLabellingByProject

    public Labelling findLabellingByProject(Label label,
                                            Project project)

  Specified by:
    `findLabellingByProject` in interface `LabelDao`

### getUsageCountForLabel

    public int getUsageCountForLabel(Label label)

  Specified by:
    `getUsageCountForLabel` in interface `LabelDao`

### findBuildResultsSummaryByLabel

    public List findBuildResultsSummaryByLabel(Label label)

  Specified by:
    `findBuildResultsSummaryByLabel` in interface `LabelDao`

### findLabels

    public List findLabels(String namespace,
                           int maxResults)

  Specified by:
    `findLabels` in interface `LabelDao`

### findLabels

    public List findLabels(String namespace,
                           int maxResults,
                           Build build)

  Specified by:
    `findLabels` in interface `LabelDao`

### findLabels

    public List findLabels(String namespace,
                           int maxResults,
                           Project project)

  Specified by:
    `findLabels` in interface `LabelDao`

### findLabels

    public List findLabels(Build build)

  Specified by:
    `findLabels` in interface `LabelDao`

### findLabels

    public List findLabels(Project project)

  Specified by:
    `findLabels` in interface `LabelDao`

### findLabellingByUser

    public List findLabellingByUser(String userName)

  Specified by:
    `findLabellingByUser` in interface `LabelDao`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.